import request from '@/utils/request'

// 查询仓库信息列表
export function listStoreInfo(query) {
  return request({
    url: '/base/storeInfo/list',
    method: 'get',
    params: query
  })
}

// 查询仓库下拉框列表
export function findStoreList(query) {
  return request({
    url: '/base/storeInfo/findStoreList',
    method: 'get',
    params: query
  })
}

// 查询仓库信息详细
export function getStoreInfo(objId) {
  return request({
    url: '/base/storeInfo/' + objId,
    method: 'get'
  })
}

// 新增仓库信息
export function addStoreInfo(data) {
  return request({
    url: '/base/storeInfo',
    method: 'post',
    data: data
  })
}

// 修改仓库信息
export function updateStoreInfo(data) {
  return request({
    url: '/base/storeInfo',
    method: 'put',
    data: data
  })
}

// 删除仓库信息
export function delStoreInfo(objId) {
  return request({
    url: '/base/storeInfo/' + objId,
    method: 'delete'
  })
}
